<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LIpPhoneServicesParameter StructType
 * @subpackage Structs
 */
class LIpPhoneServicesParameter extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The displayName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $displayName;
    /**
     * The default
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $default;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The paramRequired
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $paramRequired;
    /**
     * The paramPassword
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $paramPassword;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LIpPhoneServicesParameter
     * @uses LIpPhoneServicesParameter::setName()
     * @uses LIpPhoneServicesParameter::setDisplayName()
     * @uses LIpPhoneServicesParameter::setDefault()
     * @uses LIpPhoneServicesParameter::setDescription()
     * @uses LIpPhoneServicesParameter::setParamRequired()
     * @uses LIpPhoneServicesParameter::setParamPassword()
     * @uses LIpPhoneServicesParameter::setUuid()
     * @param string $name
     * @param string $displayName
     * @param string $default
     * @param string $description
     * @param string $paramRequired
     * @param string $paramPassword
     * @param string $uuid
     */
    public function __construct($name = null, $displayName = null, $default = null, $description = null, $paramRequired = null, $paramPassword = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDisplayName($displayName)
            ->setDefault($default)
            ->setDescription($description)
            ->setParamRequired($paramRequired)
            ->setParamPassword($paramPassword)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServicesParameter
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get displayName value
     * @return string|null
     */
    public function getDisplayName()
    {
        return $this->displayName;
    }
    /**
     * Set displayName value
     * @param string $displayName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServicesParameter
     */
    public function setDisplayName($displayName = null)
    {
        $this->displayName = $displayName;
        return $this;
    }
    /**
     * Get default value
     * @return string|null
     */
    public function getDefault()
    {
        return $this->default;
    }
    /**
     * Set default value
     * @param string $default
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServicesParameter
     */
    public function setDefault($default = null)
    {
        $this->default = $default;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServicesParameter
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get paramRequired value
     * @return string|null
     */
    public function getParamRequired()
    {
        return $this->paramRequired;
    }
    /**
     * Set paramRequired value
     * @param string $paramRequired
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServicesParameter
     */
    public function setParamRequired($paramRequired = null)
    {
        $this->paramRequired = $paramRequired;
        return $this;
    }
    /**
     * Get paramPassword value
     * @return string|null
     */
    public function getParamPassword()
    {
        return $this->paramPassword;
    }
    /**
     * Set paramPassword value
     * @param string $paramPassword
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServicesParameter
     */
    public function setParamPassword($paramPassword = null)
    {
        $this->paramPassword = $paramPassword;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LIpPhoneServicesParameter
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
